Skip to main content
`Ctrl`+`K`

# DMSetCoordinateDim

Set the dimension of the embedding space for coordinate values.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCoordinateDim(DM dm, PetscInt dim)

Not Collective

## Input Parameters

- dm - The `DM` object

- dim - The embedding dimension

## See Also

`DM`, `DMGetCoordinateDim()`, `DMSetCoordinateSection()`, `DMGetCoordinateSection()`, `DMGetLocalSection()`, `DMSetLocalSection()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages